#! /bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - install script for minipro
#
# Creation   :  2018-07-11 daniel
# Last Update:  $Id: install.sh 30 2018-07-08 16:58:57Z  $
#
# Copyright (c) 2024 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# include eisfair script library
#------------------------------------------------------------------------------

. /var/install/include/eislib

#-----------------------------------------------------------------------------
# plugdev user group
#-----------------------------------------------------------------------------
if [ -z "$(grep plugdev: /etc/group)" ]
then
    /var/install/bin/add-group "minipro" >/dev/null 2>&1
fi

#-----------------------------------------------------------------------------
# update udev rules
#-----------------------------------------------------------------------------
udevadm control --reload-rules

#-----------------------------------------------------------------------------
# End
#-----------------------------------------------------------------------------

exit 0
